Check multiple domains availability
curl --request POST \
--url https://www.atom.com/api/registrar/v1/domains/check-bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"example.com",
"test.net",
"sample.org"
]
}
'import requests
url = "https://www.atom.com/api/registrar/v1/domains/check-bulk"
payload = { "domains": ["example.com", "test.net", "sample.org"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domains: ['example.com', 'test.net', 'sample.org']})
};
fetch('https://www.atom.com/api/registrar/v1/domains/check-bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"total_requested": 3,
"successfully_checked": 2,
"errors": 1,
"results": [
{
"domain": "example.com",
"availability": 1,
"status": "available",
"error": "<string>"
}
]
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid registrar API token or access has been revoked. Please request registrar API access from your dashboard."
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}Domains
Check multiple domains availability
Check availability for multiple domain names (max 50 domains per request). Some results may be cached.
POST
/
registrar
/
v1
/
domains
/
check-bulk
Check multiple domains availability
Authorizations
Registrar API Bearer token. Obtain from dashboard at /dashboard/seller/api-access after requesting Registrar API access.
Body
application/json
Required array length:
1 - 50 elementsExample:
["example.com", "test.net", "sample.org"]⌘I